Bug 106411 - st driver accepts writes with no tape in drive when using megaraid.c
Summary: st driver accepts writes with no tape in drive when using megaraid.c
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-06 21:34 UTC by Shafer Stockton
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-09 14:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Shafer Stockton 2003-10-06 21:34:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When using st.o in combination with megaraid.o and trying to write to a tape
device bad behavior happens.

No error is given and everything appears to go smoothly, even without a tape in
the drive. That just can't be right.

My fix was to use megaraid_2002.o and it seems to not suffer from the bug. It
errors when you write to /dev/st0 with no tape.


Version-Release number of selected component (if applicable):
megaraid: v1.18 (Release Date: Wed Dec  4 11:33:08 EST 2002)

How reproducible:
Always

Steps to Reproduce:
1. load megaraid.o and st.o
2. run tar cvfp /dev/st0 /usr with no tape in drive
3. everything appears to go fine
    

Actual Results:  No error was reported that there was no medium in the drive.

Additional info:

Comment 2 Tom Coughlan 2004-01-09 14:02:39 UTC
The megaraid2 driver should be used for tape support.  The older
megaraid driver is being phased out be LSI Logic.


Note You need to log in before you can comment on or make changes to this bug.